# pandas.Series.str.pad

`Series.str.``pad`(width, side='left', fillchar=' ')

  Pad strings in the Series/Index with an additional character to specified side.

  Parameters:

  width : int

  > Minimum width of resulting string; additional characters will be filled with spaces

  side : {‘left’, ‘right’, ‘both’}, default ‘left’

  fillchar : str

  > Additional character for filling, default is whitespace

  Returns: | padded : Series/Index of objects

Scroll To Top